.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
droste \- screen saver.
.SH SYNOPSIS
.B droste
[\-\-display \fIhost:display.screen\fP]
[\-\-visual \fIvisual\fP]
[\-\-window]
[\-\-root]
[\--delay \fInumber\fP]
[\--duration \fIseconds\fP]
[\--speed \fIratio\fP]
[\--r1 \fIratio\fP]
[\--r2 \fIratio\fP]
[\--fps]
.SH DESCRIPTION
Mise en abyme: infinite spiral recursion within images.

Works best with images that have a central circular feature.
.SH OPTIONS
.TP 8
.B \-\-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-\-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-\-root
Draw on the root window.
.TP 8
.B \--delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 20000 (0.02 seconds).
.TP 8
.B \--duration \fInumber\fP
How long until loading a new image, in seconds.  Default: 2 minutes.
.TP 8
.B \--speed \fInumber\fP
Speed of zooming into the image.  2.0 means twice as fast, 0.5 means half as
fast.  Negative to zoom out.
.TP 8
.B \--r1 \fInumber\fP
Inner radius of the spiral.  Default: 0.2.
.TP 8
.B \--r2 \fInumber\fP
Outer radius of the spiral.  Default: 0.7.
.TP 8
.B \--fps | \-\-no--fps
Whether to show a frames-per-second display at the bottom of the screen.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.TP 8
.B XSCREENSAVER_WINDOW
The window ID to use with \fI--root\fP.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2023 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski.
