.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
papercube \- how to fold a glueless paper cube.
.SH SYNOPSIS
.B papercube
[\-\-display \fIhost:display.screen\fP]
[\-\-visual \fIvisual\fP]
[\-\-window]
[\-\-root]
[\-\-delay \fInumber\fP]
[\-\-no-wander]
[\-\-spin 0]
[\-\-spin \fI[XYZ]\fP]
[\-\-spin Y]
[\-\-spin Z]
[\-\-spin XY]
[\-\-spin XZ]
[\-\-spin YZ]
[\-\-speed \fInumber\fP]
[\-\-fps]
[\-\-wireframe]
.SH DESCRIPTION
Draws a paper template that folds to make a cube.
.SH OPTIONS
.TP 8
.B \-\-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-\-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-\-root
Draw on the root window.
.TP 8
.B \-\-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 30000 (0.03 seconds).
.TP 8
.B \-\-wander | \-\-no-wander
Whether the object should wander around the screen.
.TP 8
.B \-\-spin 0
Don't rotate.
.TP 8
.B \-\-spin \fI[XYZ]\fP
Around which axes should the object spin?
.TP 8
.B \-\-spin Y
Rotate around Y axis. Default.
.TP 8
.B \-\-spin Z
Rotate around Z axis.
.TP 8
.B \-\-spin XY
Rotate around X and Y axes.
.TP 8
.B \-\-spin XZ
Rotate around X and Z axes.
.TP 8
.B \-\-spin YZ
Rotate around Y and Z axes.
.TP 8
.B \-\-speed \fInumber\fP
Animation speed.  2.0 means twice as fast, 0.5 means half as fast.
.TP 8
.B \-\-fps | \-\-no-fps 
Whether to show a frames-per-second display at the bottom of the screen.
.TP 8
.B \-\-wireframe | \-\-no-wireframe
Render in wireframe instead of solid.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.TP 8
.B XSCREENSAVER_WINDOW
The window ID to use with \fI\-\-root\fP.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2023 by Ireneusz Szpilewski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Ireneusz Szpilewski and Jamie Zawinski.
