.TH Interaggregate 1 "08-Oct-04" "X Version 11"
.SH NAME
interaggregate \- Visualize the momentary and aggregate intersections 
between slowly moving circles.
.SH SYNOPSIS
.B interaggregate
[\-\-display \fIhost:display.screen\fP]
[\-\-visual \fIvisual\fP]
[\-\-window]
[\-\-root]
[\-\-window\-id \fInumber\fP]
[\-\-foreground \fIcolor\fP]
[\-\-background \fIcolor\fP]
[\-\-num\-circles \fIdisc count\fP]
[\-\-growth\-delay \fIdelayms\fP]
[\-\-max\-cycles \fImaxr\fP]
[\-\-percent\-orbits \fIpercent\fP]
[\-\-base\-orbits \fIpercent\fP]
[\-\-base\-on\-center]
[\-\-draw\-centers]
[\-\-fps]
.SH DESCRIPTION
The Intersection Aggregate is a fun visualization defining the relationships 
between objects with Casey Reas, William Ngan, and Robert Hodgin. Commissioned 
for display at the Whitney Museum of American Art.

A surface filled with 100 medium to small sized circles. Each circle has a 
different size and direction, but moves at the same slow rate. Display:

    A. The instantaneous intersections of the circles.
    B. The aggregate intersections of the circles.
.SH OPTIONS
.I interaggregate
accepts the following options:
.TP 8
.B \-\-num\-circles \fIdisc count\fP (Default: \fI100\fP)
Number of slowly moving and growing discs to use.  The more discs, 
the more CPU power.
.TP 8
.B \-\-growth\-delay \fIdelayms\fP (Default: \fI18000\fP)
Delay in ms between drawing cycles.  More delay, slower (but smoother 
and less CPU intensive.)
art.
.TP 8
.B \-\-fps
Display the current frame rate and CPU load.
.TP 8
.B \-\-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-\-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-\-root
Draw on the root window.
.TP 8
.B \-\-window\-id \fInumber\fP
Draw on the specified window.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global
resources stored in the RESOURCE_MANAGER property.
.TP 8
.B XSCREENSAVER_WINDOW
The window ID to use with \fI\-\-root\fP.
.SH BUGS
.PP
.TP 8
Setting the background to anything besides black confuses the intensity 
algorithm and will look terrible.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2003 by J. Tarbell <complex@complexification.net>.
.br
XScreenSaver port: David Agraz, 2005.
.SH AUTHOR
J. Tarbell <complex@complexification.net>, Jun 2003.
.br
David Agraz <dagraz@mindspring.com>, Apr 2005.
